<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// register the order object, for persistance sake
session_start();

// standard include files
require ("common/config.inc.php");
include("common/common.functions.inc.php");
include("common/order.functions.inc.php");
include("common/shopper.functions.inc.php");


// definitions
$sID = session_id();
$nextPage = "shipMethodInfo.php";

    if ( isSet( $BI ) )
    {
        $shopperUpdated = false;
        $orderUpdated = false;

        // validate necessary information
        $errMsg = "";
        if ( !strlen( $shopper_bill_name ) )
            $errMsg .= "<li> You must enter a Name.";
        else if ( !strlen( $shopper_bill_email ) )
            $errMsg .= "<li> You must enter an eMail Address.";
        else if ( !strlen( $shopper_bill_addr_1 ) && !strlen( $shopper_bill_addr_2 ) )
            $errMsg .= "<li> You must enter a Billing Address.";
        else if ( !strlen( $shopper_bill_city ) )
            $errMsg .= "<li> You must enter a City.";
        else if ( !strlen( $shopper_bill_state ) )  
            $errMsg .= "<li> You must select a State.";
        else if ( !strlen( $shopper_bill_postal_code ) )
            $errMsg .= "<li> You must enter a ZIP/Postal Code.";
        else if ( !strlen( $shopper_bill_phone ) )
            $errMsg .= "<li> You must enter a Telephone Number.";

        if ( strlen( $errMsg ) == 0 )
        {        
            // save billing information to order
            $order["bill_name"] = $shopper_bill_name;
            $order["bill_email"] = $shopper_bill_email;
		    $order["bill_company"] = $shopper_bill_company;
    		$order["bill_phone"] = $shopper_bill_phone;
	    	$order["bill_fax"] = $shopper_bill_fax;
		    $order["bill_addr_1"] = $shopper_bill_addr_1;
    		$order["bill_addr_2"] = $shopper_bill_addr_2;
	    	$order["bill_city"] = $shopper_bill_city;
		    $order["bill_state"] = $shopper_bill_state;
    		$order["bill_postal_code"] = $shopper_bill_postal_code;
	    	$order["bill_country"] = $shopper_bill_country;            

            // save to the database
    		$final["shopper_bill_name"] = $shopper_bill_name;
	    	$final["shopper_bill_company"] = $shopper_bill_company;
		    $final["shopper_bill_phone"] = $shopper_bill_phone;
    		$final["shopper_bill_fax"] = $shopper_bill_fax;
	    	$final["shopper_bill_addr_1"] = $shopper_bill_addr_1;
		    $final["shopper_bill_addr_2"] = $shopper_bill_addr_2;
    		$final["shopper_bill_city"] = $shopper_bill_city;
	    	$final["shopper_bill_state"] = $shopper_bill_state;
		    $final["shopper_bill_postal_code"] = $shopper_bill_postal_code;
    		$final["shopper_bill_country"] = $shopper_bill_country;

    		$updates = "";
	    	while (list($name, $value) = each($final))
		    	$updates .= "$name = '$value', ";

    		// chop off trailing comma
            $updates = ereg_replace(", $", "", $updates);
	
		    // Execute the update
    		if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
	        {
		    	$sql_query = "UPDATE $shopperTable SET $updates WHERE shopper_id = '$eCommID'";
         
			    $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
    			$err = mysql_error();

	    		$shopperUpdated = ( $err ) ? false : true;

		    	$dbh = mysql_close();
		    }

            // send them to the billing information page
            header("Location: " . $nextPage . "?eCommID=" . $shopperID . "&PHPSESSID=" . $sID);
        }
    }

    $shopper = getShopper( $shopperID );

    // if there's an error, display any passed-in form information
    if ( strlen( $errMsg ) )
    {
        $shopper[email] = $shopper_bill_email;
        $shopper[bname] = $shopper_bill_name;
        $shopper[bcompany] = $shopper_bill_company;
        $shopper[bphone] = $shopper_bill_phone;
        $shopper[bfax] = $shopper_bill_fax;
        $shopper[baddr_1] = $shopper_bill_addr_1;
        $shopper[baddr_2] = $shopper_bill_addr_2;
        $shopper[bcity] = $shopper_bill_city;
        $shopper[bstate] = $shopper_bill_state;
        $shopper[bpostal_code] = $shopper_bill_postal_code;
        $shopper[bcountry] = $shopper_bill_country;
    }   

    $title = "Billing Address";
    require 'common/header.inc.php';
?>

<font face="<?echo $fontTag;?>" size="+2" color="#000000">Billing Address</font><hr size="1">

<form action="<?echo basename($PHP_SELF);?>" method="POST">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">
<input type="hidden" NAME="redir" VALUE="<?echo $nextPage;?>">
<input type="hidden" NAME="BI" VALUE="true">

<table border="0" cellspacing="1" width="80%">

<?
if ( strlen( $errMsg ) ) 
{
?>
    <tr>
        <td colspan="2" align="left">
            <font face="<?echo $fontTag; ?>" size="2" color="#CC0000"><b>
                There appears to be a problem...
            <ul><?echo $errMsg;?></ul>
            </b></font><p>
        </td>
    </tr>
<?
}
?>
    <tr>
        <td align="center" colspan="2"><font face="<?echo $fontTag;?>" size="2">Please enter your Billing Address. All information in <font color="green"><b>green</b></font> is required.</font><p></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Name</b></font></font></td>
        <td><input type="text" maxlength="60" size="30" name="shopper_bill_name" value="<? echo $shopper[bname]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>eMail Address</b></font></font></td>
        <td><input type="text" maxlength="200" name="shopper_bill_email" size="30" value="<? echo $shopper[email]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Company</font></td>
        <td><input type="text" maxlength="200" name="shopper_bill_company" size="30" value="<? echo $shopper[bcompany]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Address Line 1</b></font></font></td>
        <td><input type="text" maxlength="70" name="shopper_bill_addr_1" size="30" value="<? echo $shopper[baddr_1]; ?>"'></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Address Line 2</font></td>
        <td><input type="text" maxlength="70" name="shopper_bill_addr_2" size="30" value="<? echo $shopper[baddr_2]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>City</b></font></font></td>
        <td><input type="text" maxlength="40" name="shopper_bill_city" size="30" value="<? echo $shopper[bcity]; ?>"></font></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>State</b></font></font></td>
        <td>
            <? echo buildStateList( "shopper_bill_state", $shopper[bstate] ); ?>
        </td>
    </tr>  
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>ZIP/Postal Code</b></font></font></td>
        <td><input maxLength="11" name="shopper_bill_postal_code" size="12" value="<? echo $shopper[bpostal_code]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Telephone</b></font></font></td>
        <td><input type="text" maxlength="40" name="shopper_bill_phone" size="30" value="<? echo $shopper[bphone]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Fax</font></td>
        <td><input type="text" maxlength="40" name="shopper_bill_fax" size="30" value="<? echo $shopper[bfax]; ?>"></td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>    
    <tr>
        <td width="100%" align="center" colspan="2">
            <input type="submit" value="Next Step"><input type="reset" value="Reset">
        </td>
    </tr>
</table>
</form>
<?
    if ($order["status"]="ready")
        $order["status"]="check";
?>

<? require 'common/footer.inc.php'; ?>
