<? 
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// register the order object, for persistance sake
session_register("order");

// to make sure we always have the most recent order information
header ( "Pragma: no-cache" ); 

// standard include files
require ("common/config.inc.php");
include("common/order.functions.inc.php");
include("common/shopper.functions.inc.php");

// definitions
$topEndQty = 2500;
$sID = session_id();
$removePage = "remove_product.php";
$nextPage = $secure_url_prefix . "shopperCheck.php";

// inform checkout that we were here
$order["status"] = "ready";

if ( isSet( $product_id ) ) 
{
    // add item to order
    $prodOptions = array();
    if ( strlen( $option_one ) )
    {
        $prodOptions["option_one"] = $option_one;
        $prodOptions["option_one_name"] = $option_one_name;
    }
    if ( strlen( $option_two ) )
    {
        $prodOptions["option_two"] = $option_two;
        $prodOptions["option_two_name"] = $option_two_name;
    }
    if ( strlen( $option_three ) )
    {
        $prodOptions["option_three"] = $option_three;
        $prodOptions["option_three_name"] = $option_three_name;
    }
    if ( strlen( $option_four ) )
    {
        $prodOptions["option_four"] = $option_four;
        $prodOptions["option_four_name"] = $option_four_name;
    }

    $product = getProduct( $product_id, $product_color, $prodOptions );

    if ( sizeOf( $product ) ) 
    {
        // only one product per order
        //if( sizeOf( $order["items"] ) )
        //    unset( $order["items"] );

        $theIndex = count( $order["items"] );
        $order["items"][$theIndex] = $product;
        determineExtraCharges( &$order, $product );        
    }

    // get rid of query string    
    header("Location: " . basename($PHP_SELF) . "?eCommID=" . $shopperID . "&PHPSESSID=" . $sID);
    exit; 
}
else if ( isSet( $update ) )
{
    for ( $qctr = 0; $qctr < count( $order["items"] ); $qctr++ )
    {    
        // will get the quantity for each line item; need to dereference in order to use
        $theQuantity = "quant_" . $qctr;

        // set any changed quantity get the item out of the order    
        if ( $$theQuantity <= 0 || $$theQuantity == "" )
        {
            // take care of a zero (or less) entered
            removeProduct( $qctr );
        }
        else
        {        
            $product = $order["items"][$qctr];
            $product[ "quantity" ] = $$theQuantity;
                
            if( sizeOf( $order["items"][$qctr] ) )
                unset( $order["items"][$qctr] );

            $order["items"][$qctr] = $product;
            determineExtraCharges( &$order, $product );
        }
    }
}
else if ( isSet( $checkout ) )
{
    // check out
    header("Location: $nextPage?eCommID=" . $shopperID . "&PHPSESSID=" . $sID . "&np=s" );    
    exit; 
}
else
{
    // punt
}

?>

<? $title = "Your Order"; ?>
<? require 'common/header.inc.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Your Order</font><hr size="1">

<form action="<?echo basename($PHP_SELF);?>" method="POST">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">
        
<? 
    if ( count( $order["items"] ) > 0) 
    { 
?>
        <table border="0" width="600" align="center">
        <tr bgcolor="#E7E7E9">
            <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Product ID</b></font></td>
            <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Product Name</b></font></td>
	        <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Unit Price</b></font></td>
            <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Quantity</b></font></td>
            <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Subtotal</b></font></td>
	        <td>&nbsp;</td>
        </tr>
<?     
        for ( $ctr = 0; $ctr < count( $order["items"] ); $ctr++ )
        {
            $item = $order["items"][$ctr];

            $itemPrice = 0.00;
            if ( $item[specialPrice] > 0 )
                $itemPrice = $item[specialPrice];
            else
                $itemPrice = $item[price];

            $subtotal = ( $item[ "quantity" ] * $itemPrice );

            // now display the attributes of the product
            $theQuant = ( $item[ "qty_break" ] == $topEndQty ) ? $item[ "qty_break" ] . "+" : $item[ "qty_break" ];
?>        
            <tr>
                <td><font face="<? echo $fontTag; ?>"><? echo $item[ "id" ]; ?></font></td>
                <td><font face="<? echo $fontTag; ?>"><? echo $item[ "name" ]; ?></font></td>
                <td><font face="<? echo $fontTag; ?>">$<? echo $itemPrice; ?>/ea. for <? echo $theQuant; ?></font></td>
                <td><input type="text" name="quant_<? echo $ctr;?>" value="<? echo $item[ "quantity" ]; ?>" size="5" maxlength="5"></td>
                <td align="right"><font face="<? echo $fontTag; ?>">$<? echo sprintf("%01.2f", $subtotal ); ?></font></td>
                <td align="center"><font face="<? echo $fontTag; ?>" size="-2"><a href="<? echo $removePage; ?>?rp=<? echo $ctr; ?>">Remove</a></font></td>
            </tr>

            <tr>
                <td colspan="5" bgcolor="#E7E7E9"><font face="<?echo $fontTag;?>" SIZE="1">
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Product Options:</b>
                <?
                    // what color the item is
                    if ( strlen( $item[color] ) )
                        echo "Product Color: " . $item[color];

                    // any other chosen option
                    if ( strlen( $item[option_one] ) )
                        echo "; " . $item[option_one_name] . ": " . $item[option_one];
                    if ( strlen( $item[option_two] ) )
                        echo "; " . $item[option_two_name] . ": " . $item[option_two];
                    if ( strlen( $item[option_three] ) )
                        echo "; " . $item[option_three_name] . ": " . $item[option_three];
                    if ( strlen( $item[option_four] ) )
                        echo "; " . $item[option_four_name] . ": " . $item[option_four];                
                ?>
                </font></td>
                <td>&nbsp;</td>
            </tr>
        <?
        }
        ?>

        <tr>
            <td colspan="6">&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
	        <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td align="right"><input type="submit" value="Update Quantity" name="update"></td>
            <td align="right"><input Type="submit" value="Check Out" name="checkout"></td>	        
        </tr>
        </table>
<?
    }
?>

<?
    // we set this above, remember?
    if ( $ctr == 0 )
        echo "<p align=\"center\">Your order is empty.</p>";
?>
<br>

<? require 'common/footer.inc.php'; ?>