<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

    session_start();

    require ("common/config.inc.php");
    include("common/common.functions.inc.php");
    include("common/shopper.functions.inc.php");

    $searchTerms = array();
    $isPhrase = false;

    // if no parameters are passed, word matching defaults to "partial",
    // and word usage defaults to "all", as defaulted in the search form.

    // if there are quotes, search for this as a phrase
    if ( strpos( $sf, "\"" ) > 0 )
    {
        $stripQuotes = stripslashes( $sf );
        $stripQuotes = ereg_replace( "\"", "", $stripQuotes );

        // because it's a phrase, no word matching or usage applies
        $searchTerms[0] = "%" . $stripQuotes . "%";
        $isPhrase = true;
    }
    else
    {
        // tokenize the passed search terms, based on spaces
        $qParts = explode( " ", $sf );

        for ($i = 0; $i < count( $qParts ); $i++)
        {
            $part = $qParts[$i];
            
            if ( strcmp( $wm, "e" ) == 0 )
            {   
                // exact match
                $searchTerms[$i] = "% $part %";
            }
            else //if ( strcmp( $wm, "p" ) == 0 )
            {   
                // partial match
                $searchTerms[$i] = "%$part%";
            }
        }       
    }

    // now, iterate through the array and get our search terms
    if ( $isPhrase )
    {
        $whereClause = "( product_name LIKE '$searchTerms[0]' OR product_desc LIKE '$searchTerms[0]' OR product_keywords LIKE '$searchTerms[0]' )";      
    }
    else
    {
        $subWhere = "";
        for ( $j = 0; $j < count( $searchTerms ); $j++ )
        {
            if ( strcmp( $wu, "n" ) == 0 )
            {
                // any words
                if ( strlen( $subWhere ) )
                    $subWhere .= " OR ";

                $subWhere .= "( product_name LIKE '$searchTerms[$j]' OR product_desc LIKE '$searchTerms[$j]' OR product_keywords like '$searchTerms[$j]' )";
            }
            else //if ( strcmp( $wu, "a" ) == 0 )
            {
                // all words
                if ( strlen( $subWhere ) )
                    $subWhere .= " AND ";
                    
                $subWhere .= "( product_name LIKE '$searchTerms[$j]' OR product_desc LIKE '$searchTerms[$j]' OR product_keywords like '$searchTerms[$j]' )";
            }
        }

        $whereClause = $subWhere;
    }

    // set the extra query string, adding defaults if necessary
    $xqs .= ( strlen( $sf ) ) ? "&sf=" . urlencode($sf) : "&sf=";
    $xqs .= ( strlen( $wm ) ) ? "&wm=" . $wm : "&wm=p";
    $xqs .= ( strlen( $wu ) ) ? "&wu=" . $wu : "&wu=n";

    // get the products from the database
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {

		// "lo" stands for "LIMIT offset", used in the paging of result sets.
		if ( !isSet( $lo ) )
			$lo = 0;

        // get the total number of products matching 
        $sql_query = "SELECT product_id FROM $productTable WHERE product_active = 'true' AND ($whereClause) ORDER BY product_name";
        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
        $numResults = mysql_num_rows( $res );

		// now get product information
		$sql_query = "SELECT product_id, product_name, product_image_height, product_image_width FROM $productTable WHERE product_active = 'true' AND ($whereClause) ORDER BY product_name LIMIT $lo, $recordsPerPage";
     
        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);		

        // clean up
		$dbh = mysql_close();
    }
?>

<? $title = "Search Results"; ?>
<? require 'common/header.inc.php'; ?>

<table border="0" cellspacing="2" cellpadding="2" width="600" align="center">
    	<tr>
            <td align="left" colspan="3" valign="bottom"><font face="<? echo $fontTag; ?>" size="-1">
                Searching for "<b><?echo stripslashes( $sf );?></b>" found <? echo ($numResults == 1) ? "$numResults Product.<p>" : "$numResults Products.<p>";?>
            </td>
        </tr>
<? 
    if ( mysql_num_rows( $res ) > 0 )
	{            
?>           
			<tr><td align="left" colspan="3"><? echo resultSetNav( $lo, $numResults, basename($PHP_SELF), "eCommID=" . $shopperID . $xqs ); ?><p></td></tr>

			<tr valign="middle">
				<td align="left" valign="middle"><font face="<? echo $fontTag; ?>" color="#000000"><b>Product ID</b></font></td>
				<td align="left" valign="middle" bgcolor="#E7E7E9"><font face="<? echo $fontTag; ?>" color="#000000"><b>Product Name</b></font></td>
				<td align="left" valign="middle"><font face="<? echo $fontTag; ?>" color="#000000"><b>Product Image</b></font></td>
			</tr>
            <tr valign="middle">
				<td colspan="3"><hr size="1"></td>
			</tr>
<?

			while ( $current_row = mysql_fetch_array( $res ) )
	                {                    
				echo ( "<tr valign=\"middle\">\n" );

				$retval = reduceImage( $current_row );

				// product ID
				echo ( "<td align=\"left\" valign=\"middle\">\n<font face=\"" . $fontTag . "\" color=\"#000000\">" );
				echo ( $current_row[ product_id ] );
				echo ( "</font></td>" );

				// product name
				echo ( "<td align=\"left\" valign=\"middle\" bgcolor=\"#E7E7E9\">\n<font face=\"" . $fontTag . "\" color=\"#000000\">" );
				echo ( "<a href=\"" . $url_prefix . "product.php?eCommID=" . $shopperID . "&product_id=" . $current_row[ product_id ] . "\">" . $current_row[ product_name ] . "</a>" );
				echo ( "</font></td>\n" );

				// product image
				echo ( "<td align=\"left\" valign=\"top\">\n<font face=\"" . $fontTag . "\" color=\"#000000\">" );
				echo ( "<a href=\"" . $url_prefix . "product.php?eCommID=" . $shopperID . "&product_id=" . $current_row[ product_id ] . "\"><img src=\"viewImage.php?product_id=" . $current_row[ product_id ] . "\" width=" . $retval[width] . " height=" . $retval[height] ." border=\"0\" align=\"absmiddle\"></a>\n" );
				echo ( "</font></td>\n" );

				echo ( "</tr>\n" );
			}
?>
			<tr><td align="left" colspan="3"><p><? echo resultSetNav( $lo, $numResults, basename($PHP_SELF), "eCommID=" . $shopperID . $xqs ); ?></td></tr>                
<?
    }
?>	

</table>
<? require 'common/footer.inc.php'; ?>
